package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * @describe 经销商商品结算订单明细实体类
 * @auther quanshu
 * @create 2023-06-08 18:21:18
 */
@TableName("mp_channel_goods_settle_order_item")
@Data
public class ChannelGoodsSettleOrderItem implements Serializable {
    private static final long serialVersionUID = 1L;

        /**
     * 主键
     */
         @TableId(value = "item_id", type = IdType.AUTO)
    private Long itemId;

        /**
     * 渠道ID
     */
         @TableField("channel_id")
    private Long channelId;

        /**
     * 订单ID
     */
         @TableField("order_id")
    private String orderId;

        /**
     * 门店采购商品id
     */
         @TableField("channel_goods_id")
    private Long channelGoodsId;

        /**
     * 商品标题
     */
         @TableField("title")
    private String title;

        /**
     * 商品图片
     */
         @TableField("pic_url")
    private String picUrl;

    /**
     * 库存数量
     */
    @TableField("quantity")
    private Integer quantity;

        /**
     * 创建时间
     */
         @TableField("created_time")
    private Date createdTime;

        /**
     * 更新时间
     */
         @TableField("updated_time")
    private Date updatedTime;

        /**
     * 采购商品经销商采购成本
     */
         @TableField("purchase_cost")
    private Integer purchaseCost;

        /**
     * 已销数量
     */
         @TableField("verify_qty")
    private Integer verifyQty;

        /**
     * 剩余库存
     */
         @TableField("remain_qty")
    private Integer remainQty;

        /**
     * 结算数量
     */
         @TableField("settle_qty")
    private Integer settleQty;


}